summaryrefslogtreecommitdiff
path: root/media-libs
diff options
context:
space:
mode:
authorV3n3RiX <venerix@redcorelinux.org>2020-04-12 04:33:03 +0100
committerV3n3RiX <venerix@redcorelinux.org>2020-04-12 04:33:03 +0100
commit88a6968c9bae82f8c05b78fd03a3fa9a1f1bae16 (patch)
tree074985a53ace79863f65af3e7263e8d66fa96f55 /media-libs
parente8f1a97338cdddc592faa4ca6c91d2d7ff8d1f0b (diff)
media-libs/mlt : version bump
Diffstat (limited to 'media-libs')
-rw-r--r--media-libs/mlt/Manifest2
-rw-r--r--media-libs/mlt/files/mlt-6.10.0-swig-underlinking.patch12
-rw-r--r--media-libs/mlt/files/mlt-6.16.0-bad-aspect-ratio-resulting-in-black.patch56
-rw-r--r--media-libs/mlt/files/mlt-6.16.0-consumer_multi-does-not-correctly-handle-in-point.patch22
-rw-r--r--media-libs/mlt/files/mlt-6.16.0-crop-filter.patch31
-rw-r--r--media-libs/mlt/files/mlt-6.16.0-mlt_consumer-race-condition.patch30
-rw-r--r--media-libs/mlt/files/mlt-6.16.0-rotoscoping-interpolation.patch22
-rw-r--r--media-libs/mlt/mlt-6.20.0-r10.ebuild (renamed from media-libs/mlt/mlt-6.16.0-r314.ebuild)38
8 files changed, 12 insertions, 201 deletions
diff --git a/media-libs/mlt/Manifest b/media-libs/mlt/Manifest
index 40a4d088..7daf1f26 100644
--- a/media-libs/mlt/Manifest
+++ b/media-libs/mlt/Manifest
@@ -1 +1 @@
-DIST mlt-6.16.0.tar.gz 1414374 BLAKE2B 6c031360721d535e95cbaf890c1f42f5f5dd914e0c6c20992bd3aec4ecbcc0b53370fe6b82b5d11c8242bb0a1f2d94f28bc61b4e5a920e5afb41ca8bb5229433 SHA512 554e8b9baa7a8578cc52315fe0583c61762bf6fbbcdd4a1e4f25753846d92f013e7d74745498625fcc781de993aa0526fd761920450b4314e67105783b9bde26
+DIST mlt-6.20.0.tar.gz 1446137 BLAKE2B 50599c827be82ea5f5145297b41001e94b44519ec4c6344b8cfdc6fc92e6106de60ecd985296ab77d24e6a5b74ea8e859187935bd88f9394f3c108308afc68ac SHA512 939e837fb07ff0eace308987d83913e979f82c6eb156b40fde784f3f2b031b5f6896ac96dcde1627925cbb6fc76725f3fc4e5b2d0616fae11263648bcdbe82e3
diff --git a/media-libs/mlt/files/mlt-6.10.0-swig-underlinking.patch b/media-libs/mlt/files/mlt-6.10.0-swig-underlinking.patch
deleted file mode 100644
index e84e98c1..00000000
--- a/media-libs/mlt/files/mlt-6.10.0-swig-underlinking.patch
+++ /dev/null
@@ -1,12 +0,0 @@
-diff --git a/src/swig/ruby/build b/src/swig/ruby/build
-index 2d0cc0d..1a8aee7 100755
---- a/src/swig/ruby/build
-+++ b/src/swig/ruby/build
-@@ -8,6 +8,6 @@ system( "ln -sf ../mlt.i" )
- system( "swig -c++ -ruby -I../../mlt++ -I../.. mlt.i" )
- $CFLAGS = $CFLAGS.to_s + " -I../.. " + (ENV.has_key?('CXXFLAGS')? ENV['CXXFLAGS'] : '')
- $CXXFLAGS = $CXXFLAGS.to_s + " -I../.. " + (ENV.has_key?('CXXFLAGS')? ENV['CXXFLAGS'] : '')
--$LDFLAGS = $LDFLAGS.to_s + " -L../../mlt++ -lmlt++"
-+$LDFLAGS = $LDFLAGS.to_s + " -L../../mlt++ -lmlt++ -L../../framework -lmlt"
- create_makefile('mlt')
- system( "make V=1" )
diff --git a/media-libs/mlt/files/mlt-6.16.0-bad-aspect-ratio-resulting-in-black.patch b/media-libs/mlt/files/mlt-6.16.0-bad-aspect-ratio-resulting-in-black.patch
deleted file mode 100644
index c2bc1946..00000000
--- a/media-libs/mlt/files/mlt-6.16.0-bad-aspect-ratio-resulting-in-black.patch
+++ /dev/null
@@ -1,56 +0,0 @@
-From f0628d1fe7f61a267f1adad8824b9a2083e3376a Mon Sep 17 00:00:00 2001
-From: Dan Dennedy <dan@dennedy.org>
-Date: Fri, 31 May 2019 19:03:32 -0700
-Subject: [PATCH] Fix #453 bad aspect ratio computed resulting in black.
-
-This occured when the s, width, or height properties are supplied with
-no "aspect."
----
- src/modules/avformat/consumer_avformat.c | 34 +++++++++++++-----------
- 1 file changed, 18 insertions(+), 16 deletions(-)
-
-diff --git a/src/modules/avformat/consumer_avformat.c b/src/modules/avformat/consumer_avformat.c
-index 738f5a972..dd2719997 100644
---- a/src/modules/avformat/consumer_avformat.c
-+++ b/src/modules/avformat/consumer_avformat.c
-@@ -271,22 +271,24 @@ mlt_consumer consumer_avformat_init( mlt_profile profile, char *arg )
- static void recompute_aspect_ratio( mlt_properties properties )
- {
- double ar = mlt_properties_get_double( properties, "aspect" );
-- AVRational rational = av_d2q( ar, 255 );
-- int width = mlt_properties_get_int( properties, "width" );
-- int height = mlt_properties_get_int( properties, "height" );
--
-- // Update the profile and properties as well since this is an alias
-- // for mlt properties that correspond to profile settings
-- mlt_properties_set_int( properties, "display_aspect_num", rational.num );
-- mlt_properties_set_int( properties, "display_aspect_den", rational.den );
--
-- // Now compute the sample aspect ratio
-- rational = av_d2q( ar * height / FFMAX(width, 1), 255 );
--
-- // Update the profile and properties as well since this is an alias
-- // for mlt properties that correspond to profile settings
-- mlt_properties_set_int( properties, "sample_aspect_num", rational.num );
-- mlt_properties_set_int( properties, "sample_aspect_den", rational.den );
-+ if (ar > 0.0) {
-+ AVRational rational = av_d2q( ar, 255 );
-+ int width = mlt_properties_get_int( properties, "width" );
-+ int height = mlt_properties_get_int( properties, "height" );
-+
-+ // Update the profile and properties as well since this is an alias
-+ // for mlt properties that correspond to profile settings
-+ mlt_properties_set_int( properties, "display_aspect_num", rational.num );
-+ mlt_properties_set_int( properties, "display_aspect_den", rational.den );
-+
-+ // Now compute the sample aspect ratio
-+ rational = av_d2q( ar * height / FFMAX(width, 1), 255 );
-+
-+ // Update the profile and properties as well since this is an alias
-+ // for mlt properties that correspond to profile settings
-+ mlt_properties_set_int( properties, "sample_aspect_num", rational.num );
-+ mlt_properties_set_int( properties, "sample_aspect_den", rational.den );
-+ }
- }
-
- static void color_trc_from_colorspace( mlt_properties properties )
diff --git a/media-libs/mlt/files/mlt-6.16.0-consumer_multi-does-not-correctly-handle-in-point.patch b/media-libs/mlt/files/mlt-6.16.0-consumer_multi-does-not-correctly-handle-in-point.patch
deleted file mode 100644
index 946d06ae..00000000
--- a/media-libs/mlt/files/mlt-6.16.0-consumer_multi-does-not-correctly-handle-in-point.patch
+++ /dev/null
@@ -1,22 +0,0 @@
-From 434dbcf62048cc1220c425c2adc77697b4d40ffb Mon Sep 17 00:00:00 2001
-From: Jean-Baptiste Mardelle <jb@kdenlive.org>
-Date: Mon, 10 Jun 2019 18:18:44 +0200
-Subject: [PATCH] Fix multi consumer doesn't correctly handle in point
-
----
- src/modules/core/consumer_multi.c | 2 +-
- 1 file changed, 1 insertion(+), 1 deletion(-)
-
-diff --git a/src/modules/core/consumer_multi.c b/src/modules/core/consumer_multi.c
-index 4bb16ddf5..d9b5fbc0f 100644
---- a/src/modules/core/consumer_multi.c
-+++ b/src/modules/core/consumer_multi.c
-@@ -304,7 +304,7 @@ static void foreach_consumer_start( mlt_consumer consumer )
- if ( nested )
- {
- mlt_properties nested_props = MLT_CONSUMER_PROPERTIES(nested);
-- mlt_properties_set_position( nested_props, "_multi_position", 0 );
-+ mlt_properties_set_position( nested_props, "_multi_position", mlt_properties_get_position( properties, "in" ) );
- mlt_properties_set_data( nested_props, "_multi_audio", NULL, 0, NULL, NULL );
- mlt_properties_set_int( nested_props, "_multi_samples", 0 );
- mlt_consumer_start( nested );
diff --git a/media-libs/mlt/files/mlt-6.16.0-crop-filter.patch b/media-libs/mlt/files/mlt-6.16.0-crop-filter.patch
deleted file mode 100644
index d42da685..00000000
--- a/media-libs/mlt/files/mlt-6.16.0-crop-filter.patch
+++ /dev/null
@@ -1,31 +0,0 @@
-From f6225b7f4cd5e9b6011ca79c3849dc9e286a7acb Mon Sep 17 00:00:00 2001
-From: Dan Dennedy <dan@dennedy.org>
-Date: Mon, 13 May 2019 11:44:13 -0700
-Subject: [PATCH] Fix crop filter not working with color producer.
-
-Fixes https://github.com/mltframework/shotcut/issues/737
----
- src/modules/core/producer_colour.c | 4 +++-
- 1 file changed, 3 insertions(+), 1 deletion(-)
-
-diff --git a/src/modules/core/producer_colour.c b/src/modules/core/producer_colour.c
-index e1cfe5284..67d36dfb2 100644
---- a/src/modules/core/producer_colour.c
-+++ b/src/modules/core/producer_colour.c
-@@ -1,6 +1,6 @@
- /*
- * producer_colour.c
-- * Copyright (C) 2003-2018 Meltytech, LLC
-+ * Copyright (C) 2003-2019 Meltytech, LLC
- *
- * This library is free software; you can redistribute it and/or
- * modify it under the terms of the GNU Lesser General Public
-@@ -248,6 +248,8 @@ static int producer_get_frame( mlt_producer producer, mlt_frame_ptr frame, int i
- mlt_properties_set_int( properties, "progressive", 1 );
- mlt_profile profile = mlt_service_profile( MLT_PRODUCER_SERVICE( producer ) );
- mlt_properties_set_double( properties, "aspect_ratio", mlt_profile_sar( profile ) );
-+ mlt_properties_set_int( properties, "meta.media.width", profile->width );
-+ mlt_properties_set_int( properties, "meta.media.height", profile->height );
-
- // colour is an alias for resource
- if ( mlt_properties_get( producer_props, "colour" ) != NULL )
diff --git a/media-libs/mlt/files/mlt-6.16.0-mlt_consumer-race-condition.patch b/media-libs/mlt/files/mlt-6.16.0-mlt_consumer-race-condition.patch
deleted file mode 100644
index 7fd1c577..00000000
--- a/media-libs/mlt/files/mlt-6.16.0-mlt_consumer-race-condition.patch
+++ /dev/null
@@ -1,30 +0,0 @@
-From 9b89b781b9d06181c8d486605ed4c2b3089d64d6 Mon Sep 17 00:00:00 2001
-From: alcinos <nicolas.carion@ens-lyon.fr>
-Date: Wed, 1 May 2019 23:50:41 +0200
-Subject: [PATCH] Fix race in mlt_consumer
-
----
- src/framework/mlt_consumer.c | 3 ++-
- 1 file changed, 2 insertions(+), 1 deletion(-)
-
-diff --git a/src/framework/mlt_consumer.c b/src/framework/mlt_consumer.c
-index 491bc5e99..0e36bde3c 100644
---- a/src/framework/mlt_consumer.c
-+++ b/src/framework/mlt_consumer.c
-@@ -31,6 +31,7 @@
- #include <string.h>
- #include <stdlib.h>
- #include <sys/time.h>
-+#include <stdatomic.h>
-
- /** Define this if you want an automatic deinterlace (if necessary) when the
- * consumer's producer is not running at normal speed.
-@@ -65,7 +66,7 @@ typedef struct
- double fps;
- int channels;
- int frequency;
-- int speed;
-+ atomic_int speed;
- /* additional fields added for the parallel work queue */
- mlt_deque worker_threads;
- pthread_mutex_t done_mutex;
diff --git a/media-libs/mlt/files/mlt-6.16.0-rotoscoping-interpolation.patch b/media-libs/mlt/files/mlt-6.16.0-rotoscoping-interpolation.patch
deleted file mode 100644
index 935a2d13..00000000
--- a/media-libs/mlt/files/mlt-6.16.0-rotoscoping-interpolation.patch
+++ /dev/null
@@ -1,22 +0,0 @@
-From ddf6983b4aaaf662944b84103dd4412aff45a428 Mon Sep 17 00:00:00 2001
-From: alcinos <nicolas.carion@ens-lyon.fr>
-Date: Fri, 10 May 2019 23:20:22 +0200
-Subject: [PATCH] Fix interpolation in rotoscoping filter
-
----
- src/modules/plusgpl/filter_rotoscoping.c | 2 +-
- 1 file changed, 1 insertion(+), 1 deletion(-)
-
-diff --git a/src/modules/plusgpl/filter_rotoscoping.c b/src/modules/plusgpl/filter_rotoscoping.c
-index 0667929cd..70e3a093b 100644
---- a/src/modules/plusgpl/filter_rotoscoping.c
-+++ b/src/modules/plusgpl/filter_rotoscoping.c
-@@ -572,7 +572,7 @@ static mlt_frame filter_process( mlt_filter filter, mlt_frame frame )
- int c2 = json2BCurves( keyframe, &p2 );
-
- // range 0-1
-- double position = ( time - pos1 ) / (double)( pos2 - pos1 + 1 );
-+ double position = ( time - pos1 ) / (double)( pos2 - pos1 );
-
- count = MIN( c1, c2 ); // additional points are ignored
- points = mlt_pool_alloc( count * sizeof( BPointF ) );
diff --git a/media-libs/mlt/mlt-6.16.0-r314.ebuild b/media-libs/mlt/mlt-6.20.0-r10.ebuild
index a231e856..534a36d2 100644
--- a/media-libs/mlt/mlt-6.16.0-r314.ebuild
+++ b/media-libs/mlt/mlt-6.20.0-r10.ebuild
@@ -1,9 +1,9 @@
-# Copyright 1999-2019 Gentoo Authors
+# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
-PYTHON_COMPAT=( python3_{6,7} )
+PYTHON_COMPAT=( python3_{6,7,8} )
# this ebuild currently only supports installing ruby bindings for a single ruby version
# so USE_RUBY must contain only a single value (the latest stable) as the ebuild calls
# /usr/bin/${USE_RUBY} directly
@@ -16,7 +16,7 @@ SRC_URI="https://github.com/mltframework/${PN}/releases/download/v${PV}/${P}.tar
LICENSE="GPL-3"
SLOT="0"
-KEYWORDS="~amd64 ~arm64 ~x86 ~amd64-linux ~x86-linux"
+KEYWORDS="~amd64 ~arm64 ~ppc64 ~x86 ~amd64-linux ~x86-linux"
IUSE="compressed-lumas cpu_flags_x86_mmx cpu_flags_x86_sse cpu_flags_x86_sse2 debug ffmpeg
fftw frei0r gtk jack kdenlive kernel_linux libav libsamplerate lua melt opencv opengl python
qt5 rtaudio ruby sdl vdpau vidstab xine xml"
@@ -89,14 +89,7 @@ RDEPEND="${DEPEND}"
DOCS=( AUTHORS ChangeLog NEWS README docs/{framework,melt,mlt{++,-xml}}.txt )
-PATCHES=(
- "${FILESDIR}"/${PN}-6.10.0-swig-underlinking.patch
- "${FILESDIR}"/${P}-mlt_consumer-race-condition.patch
- "${FILESDIR}"/${P}-rotoscoping-interpolation.patch
- "${FILESDIR}"/${P}-crop-filter.patch
- "${FILESDIR}"/${P}-consumer_multi-does-not-correctly-handle-in-point.patch
- "${FILESDIR}"/${P}-bad-aspect-ratio-resulting-in-black.patch
-)
+PATCHES=( "${FILESDIR}"/${PN}-6.10.0-swig-underlinking.patch )
pkg_setup() {
use python && python-single-r1_pkg_setup
@@ -107,13 +100,12 @@ src_prepare() {
# respect CFLAGS LDFLAGS when building shared libraries. Bug #308873
for x in python lua; do
- sed -i "/mlt.so/s: -lmlt++ :& ${CFLAGS} ${LDFLAGS} :" src/swig/$x/build || die
+ sed -i "/mlt.so/s/ -lmlt++ /& ${CFLAGS} ${LDFLAGS} /" src/swig/$x/build || die
done
sed -i -e "s/env ruby/${USE_RUBY}/" src/swig/ruby/* || die
- # fix python3 include dir
- sed -i -e 's/python{}.{}/python{}.{}m/' src/swig/python/build || die
+ use python && python_fix_shebang src/swig/python
}
src_configure() {
@@ -205,26 +197,18 @@ src_install() {
if use python; then
cd "${S}"/src/swig/python || die
- insinto $(python_get_sitedir)
- doins mlt.py
- exeinto $(python_get_sitedir)
- doexe _mlt.so
+ python_domodule mlt.py _mlt.so
+ chmod +x "${D}$(python_get_sitedir)/_mlt.so" || die
dodoc play.py
python_optimize
fi
if use ruby; then
cd "${S}"/src/swig/ruby || die
- exeinto $("${EPREFIX}"/usr/bin/${USE_RUBY} -r rbconfig -e 'print RbConfig::CONFIG["sitearchdir"]')
+ local rubydir=$("${EPREFIX}"/usr/bin/${USE_RUBY} -r rbconfig -e 'print RbConfig::CONFIG["sitearchdir"]')
+ exeinto "${rubydir#${EPREFIX}}"
doexe mlt.so
dodoc play.rb thumbs.rb
fi
-
- # start : Redcore Linux Project tweaks
- if use qt5 && use melt; then
- dosym melt usr/bin/qmelt
- fi
- # stop : Redcore Linux Project tweaks
-
- # TODO: java perl php tcl
+ # TODO: java perl php tcl
}